// Routine zur Berechnung der CRC16 Modbus Bytes

uint16_t _crc16_update(uint16_t crc, uint8_t data) {
  unsigned int i;

  crc ^= data;
  for (i = 0; i < 8; ++i) {
    if (crc & 1) {
      crc = (crc >> 1) ^ 0xA001;
    } else {
      crc = (crc >> 1);
    }
  }
  return crc;
}


